## EmpathyContactListView

EmpathyContactListView

## Synopsis

    enum                EmpathyContactListFeatureFlags;
                        EmpathyContactListView;
    EmpathyContactListView * empathy_contact_list_view_new  (EmpathyContactListStore *store,
                                                             EmpathyContactListFeatureFlags list_features,
                                                             EmpathyContactFeatureFlags contact_features);
    EmpathyContact *    empathy_contact_list_view_get_selected
                                                            (EmpathyContactListView *view);
    gchar *             empathy_contact_list_view_get_selected_group
                                                            (EmpathyContactListView *view);
    GtkWidget *         empathy_contact_list_view_get_contact_menu
                                                            (EmpathyContactListView *view);
    GtkWidget *         empathy_contact_list_view_get_group_menu
                                                            (EmpathyContactListView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----EmpathyContactListView

## Implemented Interfaces

EmpathyContactListView implements GtkBuildable and AtkImplementorIface.

## Properties

      "contact-features"         EmpathyContactFeatureFlags  : Read / Write
      "list-features"            EmpathyContactListFeatureFlags  : Read / Write
      "store"                    EmpathyContactListStore*  : Read / Write / Construct Only

## Signals

      "drag-contact-received"                          : Run Last

## Description

## Details

### enum EmpathyContactListFeatureFlags

    typedef enum {
    	EMPATHY_CONTACT_LIST_FEATURE_NONE = 0,
    	EMPATHY_CONTACT_LIST_FEATURE_GROUPS_SAVE = 1 << 0,
    	EMPATHY_CONTACT_LIST_FEATURE_GROUPS_RENAME = 1 << 1,
    	EMPATHY_CONTACT_LIST_FEATURE_GROUPS_REMOVE = 1 << 2,
    	EMPATHY_CONTACT_LIST_FEATURE_CONTACT_REMOVE = 1 << 3,
    	EMPATHY_CONTACT_LIST_FEATURE_CONTACT_DROP = 1 << 4,
    	EMPATHY_CONTACT_LIST_FEATURE_CONTACT_DRAG = 1 << 5,
    	EMPATHY_CONTACT_LIST_FEATURE_CONTACT_TOOLTIP = 1 << 6,
    	EMPATHY_CONTACT_LIST_FEATURE_ALL = (1 << 7) - 1,
    } EmpathyContactListFeatureFlags;

### EmpathyContactListView

    typedef struct _EmpathyContactListView EmpathyContactListView;

### empathy_contact_list_view_new ()

    EmpathyContactListView * empathy_contact_list_view_new  (EmpathyContactListStore *store,
                                                             EmpathyContactListFeatureFlags list_features,
                                                             EmpathyContactFeatureFlags contact_features);

`store` : |
`list_features` : |
`contact_features` : |
Returns : |

### empathy_contact_list_view_get_selected ()

    EmpathyContact *    empathy_contact_list_view_get_selected
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_selected_group ()

    gchar *             empathy_contact_list_view_get_selected_group
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_contact_menu ()

    GtkWidget *         empathy_contact_list_view_get_contact_menu
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_group_menu ()

    GtkWidget *         empathy_contact_list_view_get_group_menu
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

## Property Details

### The `"contact-features"` property

      "contact-features"         EmpathyContactFeatureFlags  : Read / Write

Falgs for all enabled features for the menu.

### The `"list-features"` property

      "list-features"            EmpathyContactListFeatureFlags  : Read / Write

Falgs for all enabled features.

### The `"store"` property

      "store"                    EmpathyContactListStore*  : Read / Write / Construct Only

The store of the view.

## Signal Details

### The `"drag-contact-received"` signal

    void                user_function                      (EmpathyContactListView *empathycontactlistview,
                                                            EmpathyContact         *arg1,
                                                            gchar                  *arg2,
                                                            gchar                  *arg3,
                                                            gpointer                user_data)                   : Run Last

`empathycontactlistview` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.